org.apache.ignite.events

## Class WalSegmentCompactedEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.WalSegmentArchivedEvent
    - - org.apache.ignite.events.WalSegmentCompactedEvent

All Implemented Interfaces:
  Serializable, Comparable<Event>, Event

    public class WalSegmentCompactedEvent
    extends WalSegmentArchivedEvent

Event indicates the completion of WAL segment compaction.

`WalSegmentArchivedEvent.getArchiveFile()` corresponds to compacted file.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WalSegmentCompactedEvent(@NotNull ClusterNode node, long absWalSegmentIdx, File archiveFile)` Creates WAL segment compaction event.

### Method Summary

### Methods inherited from class org.apache.ignite.events.WalSegmentArchivedEvent

`getAbsWalSegmentIdx, getArchiveFile`

### Methods inherited from class org.apache.ignite.events.EventAdapter

`compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, shortDisplay, timestamp, toString, type, type`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WalSegmentCompactedEvent

    public WalSegmentCompactedEvent(@NotNull
                                    @NotNull ClusterNode node,
                                    long absWalSegmentIdx,
                                    File archiveFile)

Creates WAL segment compaction event.

Parameters:
  `node` - Node.
  `absWalSegmentIdx` - Absolute wal segment index.
  `archiveFile` - Compacted archive file.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023